- Qt 6.8
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- DirectionalLight
- Qt 6.8.2 Reference Documentation

# DirectionalLight QML Type

Encapsulate a Directional Light object in a Qt 3D scene. More...

Import Statement: | `import Qt3D.Render 2.8`
In C++: | QDirectionalLight
Status: | Deprecated

- List of all members, including inherited members

## Properties

- worldDirection : vector3d

## Detailed Description

A directional light is a light source that behaves similar to sunlight. The light from a directional light hits all objects from the same direction and with the same intensity, regardless of where they are in the scene.

## Property Documentation

worldDirection : vector3d

Specifies the world direction of the directional light.

Note: The exact meaning and use of this property is up to the material implementation.